Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.servicecore
Interface ServiceAdmin

All Superinterfaces:
  DestroyAdmin, JoinAdmin, Remote, ServiceBeanAdmin, ServiceBeanControl

All Known Subinterfaces:
  CybernodeAdmin, ProvisionMonitorAdmin

All Known Implementing Classes:
  ConstrainableServiceAdminProxy, ServiceAdminImpl, ServiceAdminProxy

    public interface ServiceAdmin

extends Remote, ServiceBeanAdmin, ServiceBeanControl, JoinAdmin, DestroyAdmin

The ServiceAdmin provides a common interface, aggregating all admin type interfaces into a single interface

Method Summary
`ServiceRegistrar[]` | `getJoinSet()` Returns an array of instances of ServiceRegistrar, each corresponding to a lookup service with which the service is currently registered (joined)

Methods inherited from interface org.jini.rio.core.jsb.ServiceBeanAdmin
`getServiceBeanInstantiatorUuid, getServiceElement, getUpTime, setServiceElement`

Methods inherited from interface org.jini.rio.core.ServiceBeanControl
`advertise, start, stop, unadvertise`

Methods inherited from interface net.jini.admin.JoinAdmin
`addLookupAttributes, addLookupGroups, addLookupLocators, getLookupAttributes, getLookupGroups, getLookupLocators, modifyLookupAttributes, removeLookupGroups, removeLookupLocators, setLookupGroups, setLookupLocators`

Methods inherited from interface com.sun.jini.admin.DestroyAdmin
`destroy`

Method Detail

### getJoinSet

    ServiceRegistrar[] getJoinSet()
                                  throws RemoteException

  Returns an array of instances of ServiceRegistrar, each corresponding to a lookup service with which the service is currently registered (joined)

  Returns:
    An array of ServiceRegistrar instances
  Throws:
    `RemoteException` - If communication erros occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.